## matecomponent-shutdown matecomponent-shutdown |

## Synopsis

    void                matecomponent_context_init                 (void);
    void                matecomponent_context_shutdown             (void);
    int                 matecomponent_object_shutdown              (void);
    void                matecomponent_exception_shutdown           (void);
    void                matecomponent_property_bag_shutdown        (void);
    void                matecomponent_running_context_shutdown     (void);

## Description

## Details

### matecomponent_context_init ()

    void                matecomponent_context_init                 (void);

Sets up the context system, internal use only, called by matecomponent_init.

### matecomponent_context_shutdown ()

    void                matecomponent_context_shutdown             (void);

Shuts down the context system, internal use only

### matecomponent_object_shutdown ()

    int                 matecomponent_object_shutdown              (void);

Returns : |

### matecomponent_exception_shutdown ()

    void                matecomponent_exception_shutdown           (void);

### matecomponent_property_bag_shutdown ()

    void                matecomponent_property_bag_shutdown        (void);

### matecomponent_running_context_shutdown ()

    void                matecomponent_running_context_shutdown     (void);